Bug 177552 - Pup crashes while downloading
Pup crashes while downloading
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 13:51 EST by Don Springall
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 19:19:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Springall 2006-01-11 13:51:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
Pup crahes while downloading files that have checksum errors. See below
Traceback (most recent call last):
File "/usr/share/pup/pup/pup.py", line 594, in _apply
   dlpkgs = self._downloadPackages()
File "/usr/share/pup/pup/pup.py", line 837, in _downloadPackages
   probs = self.downloadPkgs(dlpkgs)
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 629, in downloadPkgs
   cache=repo.http_caching != 'none',
File "/usr/lib/python2.4/site-packages/yum/repos.py", line 625, in get
   http_headers=headers,
File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
   return self._mirror_try(func, url, kw)
File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in _mirror_try
   mirrorchoice = self._get_mirror(gr)
File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in _get_mirror
   return gr.mirrors[gr._next]
IndexError: list index out of range

Local variables in innermost frame:
self: <urlgrabber.mirror.MGRandomOrder instance at 0xb373b26c>
gr: <urlgrabber.mirror.GrabRequest instance at 0xb3aa10ec>

This is a result of problems with yum:
Downloading Packages:
(1/13): xen-3.0-0.2006011 100% |=========================| 1.1 MB    00:11
(2/13): selinux-policy-2. 100% |=========================|  15 kB    00:00
(3/13): selinux-policy-ta 100% |=========================| 454 kB    00:06
(4/13): kudzu-1.2.18-1.i3 100% |=========================| 278 kB    00:07
(5/13): lcms-1.15-1.i386. 100% |=========================| 162 kB    00:01
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/ RPMS/lcms-1.15-1.i386.rpm: [Errno -1] Package does not match checksum
Trying other mirror.
(6/13): fontconfig-devel- 100% |=========================| 281 kB    00:04
(7/13): kudzu-devel-1.2.1 100% |=========================| 135 kB    00:00
(8/13): xorg-x11-xfs-1.0. 100% |=========================|  63 kB    00:00
(9/13): gtk2-engines-2.7. 100% |=========================| 286 kB    00:01
(10/13): vte-0.11.16-2.fc 100% |=========================| 458 kB    00:02
(11/13): gimp-2.2.10-2.i3 100% |=========================|  10 MB    02:15
(12/13): fontconfig-2.3.9 100% |=========================| 176 kB    00:02
(13/13): gstreamer08-0.8. 100% |=========================| 753 kB    00:17


Error Downloading Packages:
lcms - 1.15-1.i386: failure: Fedora/RPMS/lcms-1.15-1.i386.rpm from development : [Errno 256] No more mirrors to try.


Version-Release number of selected component (if applicable):
pup-0.9.2-1

How reproducible:
Always

Steps to Reproduce:
1.run pup
2. PUP begins downloading packages
3.Hits package with checksum error
Kaboom !
  

Actual Results:  Pup crashes


Expected Results:  Pup shuts down with error message.

Additional info:
Comment 1 Jeremy Katz 2006-01-11 19:19:24 EST
Fixed in CVS
Comment 2 David Lawrence 2006-06-27 21:45:39 EDT
Moving component to pirut. Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.